CVE-2000-0683
CVSS5.0
发布时间 :2000-10-20 00:00:00
修订时间 :2008-09-05 16:21:37
NMCO    

[原文]BEA WebLogic 5.1.x allows remote attackers to read source code for parsed pages by inserting /*.shtml/ into the URL, which invokes the SSIServlet.


[CNNVD]BEA WebLogic源代码读取漏洞(CNNVD-200010-104)

        BEA WebLogic 5.1.x版本存在漏洞。远程攻击者可以通过将/*.shtml/插入到URL中来读取解析页面的源代码,该漏洞调用SSIServlet。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:bea:weblogic_server:5.1:sp6:expressBEA Systems WebLogic Express 5.1 SP6
cpe:/a:bea:weblogic_server:5.1:sp12:expressBEA Systems WebLogic Express 5.1 SP12
cpe:/a:bea:weblogic_server:5.1:sp4:expressBEA Systems WebLogic Express 5.1 SP4
cpe:/a:bea:weblogic_server:5.1::enterprise
cpe:/a:bea:weblogic_server:5.1:sp7:expressBEA Systems WebLogic Express 5.1 SP7
cpe:/a:bea:weblogic_server:5.1:sp1:expressBEA Systems WebLogic Express 5.1 SP1
cpe:/a:bea:weblogic_server:5.1:sp3:expressBEA Systems WebLogic Express 5.1 SP3
cpe:/a:bea:weblogic_server:5.1:sp5:expressBEA Systems WebLogic Express 5.1 SP5
cpe:/a:bea:weblogic_server:5.1:sp2:expressBEA Systems WebLogic Express 5.1 SP2
cpe:/a:bea:weblogic_server:5.1:sp9:expressBEA Systems WebLogic Express 5.1 SP9
cpe:/a:bea:weblogic_server:5.1:sp10:expressBEA Systems WebLogic Express 5.1 SP10
cpe:/a:bea:weblogic_server:5.1::express
cpe:/a:bea:weblogic_server:5.1BEA Systems WebLogic Server 5.1
cpe:/a:bea:weblogic_server:5.1:sp11:expressBEA Systems WebLogic Express 5.1 SP11
cpe:/a:bea:weblogic_server:5.1:sp8:expressBEA Systems WebLogic Express 5.1 SP8

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0683
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0683
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200010-104
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1517
(VENDOR_ADVISORY)  BID  1517
http://archives.neohapsis.com/archives/bugtraq/2000-07/0410.html
(VENDOR_ADVISORY)  BUGTRAQ  20000728 BEA's WebLogic force handlers show code vulnerability
http://www.osvdb.org/1480
(UNKNOWN)  OSVDB  1480
http://developer.bea.com/alerts/security_000728.html
(UNKNOWN)  CONFIRM  http://developer.bea.com/alerts/security_000728.html

- 漏洞信息

BEA WebLogic源代码读取漏洞
中危 未知
2000-10-20 00:00:00 2007-06-18 00:00:00
远程  
        BEA WebLogic 5.1.x版本存在漏洞。远程攻击者可以通过将/*.shtml/插入到URL中来读取解析页面的源代码,该漏洞调用SSIServlet。

- 公告与补丁

        

- 漏洞信息

1480
BEA WebLogic SSIServlet Invocation Source Code Disclosure
Information Disclosure
Loss of Confidentiality Patch / RCS, Upgrade
Vendor Verified

- 漏洞描述

BEA Weblogic contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when /*.shtml/ is inserted into a URL, which will disclose the source of .jsp and .jhtml pages resulting in a loss of confidentiality.

- 时间线

2000-07-31 Unknow
Unknow Unknow

- 解决方案

Upgrade to versions listed below or higher, as they have been reported to fix this vulnerability. An upgrade is required as there are no known workarounds. BEA WebLogic Server and Express 6.1 install SP 2 and CR069809_610sp2_v2.jar. BEA WebLogic Server and Express 6.0 install SP 2, Rolling Patch 3 and CR069809_60sp2rp3.jar. BEA WebLogic Server and Express 5.1 install SP 11 and CR069809_510sp11_v2.jar. BEA WebLogic Server and Express 4.5.2 install SP 2 and CR045420_wls452sp2.zip. BEA WebLogic Server and Express 4.5.1 install SP 15.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站